% concentration independent feature normalization
function X=con_rmv(X)
for i=1:size(X,2)
    A=sqrt((X(3,i)^2+X(4,i)^2+X(5,i)^2+X(7,i)^2+X(8,i)^2));
    X(3,i)=X(3,i)/A;
    X(4,i)=X(4,i)/A;
    X(5,i)=X(5,i)/A;
    X(7,i)=X(7,i)/A;
    X(8,i)=X(8,i)/A;
end